# ACE_Asynch_Read_File::Result Class Reference

This is that class which will be passed back to the {handler} when the asynchronous read completes. This class forwards all the methods to the implementation class. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Read_File::Result:

[legend]
Collaboration diagram for ACE_Asynch_Read_File::Result:

[legend]
List of all members.

## Public Member Functions

ACE_Asynch_Read_File_Result_Impl * | implementation (void) const
| Get the implementation class.

## Protected Member Functions

| Result (ACE_Asynch_Read_File_Result_Impl *implementation)
| Constructor. This implementation will not be deleted.
virtual | ~Result (void)
| Destructor.

## Protected Attributes

ACE_Asynch_Read_File_Result_Impl * | implementation_
| The implementation class.

## Private Member Functions

void | operator= (Result &)

## Friends

class | ACE_POSIX_Asynch_Read_File_Result
class | ACE_WIN32_Asynch_Read_File_Result

## Detailed Description

This is that class which will be passed back to the {handler} when the asynchronous read completes. This class forwards all the methods to the implementation class.

This class has all the information necessary for the {handler} to uniquiely identify the completion of the asynchronous read. This class differs slightly from ACE_Asynch_Read_Stream::Result as it calls back {ACE_Handler::handle_read_file} on the {handler} instead of {ACE_Handler::handle_read_stream}. No additional state is required by this class as ACE_Asynch_Result can store the {offset}.

## Constructor & Destructor Documentation

ACE_Asynch_Read_File::Result::Result | ( | ACE_Asynch_Read_File_Result_Impl * | implementation | ) | `[protected]`

| Constructor. This implementation will not be deleted.

ACE_Asynch_Read_File::Result::~Result | ( | void |  | ) | `[protected, virtual]`

| Destructor. Reimplemented from ACE_Asynch_Read_Stream::Result.

## Member Function Documentation

ACE_Asynch_Read_File_Result_Impl * ACE_Asynch_Read_File::Result::implementation | ( | void |  | ) | const

| Get the implementation class. Reimplemented from ACE_Asynch_Read_Stream::Result.

void ACE_Asynch_Read_File::Result::operator= | ( | Result & |  | ) | `[inline, private]`

| Here just to provide an dummpy implementation, since the one auto generated by MSVC is flagged as infinitely recursive

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Read_File_Result`[friend]`

| The concrete implementation result classes only construct this class.

friend class ACE_WIN32_Asynch_Read_File_Result`[friend]`

## Member Data Documentation

ACE_Asynch_Read_File_Result_Impl* ACE_Asynch_Read_File::Result::implementation_`[protected]`

| The implementation class. Reimplemented from ACE_Asynch_Read_Stream::Result.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp